#!/usr/bin/env python3
"""
Test final para verificar que el problema de solve(t) esté solucionado
"""
from main_evaluation_puro import PureAlgebraicEngine

def test_solve_issue():
    print("=== TEST FINAL: PROBLEMA SOLVE(T) ===")
    
    engine = PureAlgebraicEngine()
    
    # Secuencia original del usuario
    lines = [
        'x=t**2+5/m',
        'm=3', 
        'x=4',
        't=?',
        'solve(t)',
        'form=solve(t)'
    ]
    
    print("Ejecutando secuencia del usuario:")
    for i, line in enumerate(lines, 1):
        result = engine.evaluate_line(line)
        status = "✅" if result.success else "❌"
        print(f"{i}. {line:<15} -> {result.output} {status}")
        
        # Verificar específicamente el caso problemático
        if line == 'form=solve(t)':
            if result.output == 'form = []':
                print("   ❌ PROBLEMA PERSISTE: form está vacío")
                return False
            else:
                print("   ✅ PROBLEMA SOLUCIONADO: form contiene resultado")
                return True
    
    return True

if __name__ == "__main__":
    success = test_solve_issue()
    if success:
        print("\n🎉 PROBLEMA SOLUCIONADO EXITOSAMENTE")
    else:
        print("\n💥 PROBLEMA PERSISTE") 